# All files / src/core/dom canUseMP.ts

100% Statements 5/5
50% Branches 1/2
100% Functions 1/1
100% Lines 5/5

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    1x
    1x
    1x

    27ximport { miniprogramThis } from './global'

    /**
     * 判断小程序环境
     *
     * @export
     * @return {*}  {boolean}
     */
    export function canUseMP (): boolean {
      return miniprogramThis && typeof getCurrentPages !== 'undefined'
    }